#!/usr/bin/env ruby
require 'json'

class Object
  def filter_tcy
    case self
    when Array
      self.each(&:filter_tcy)
    when Hash
      if self["t"] == "Superscript"
        val = self["c"][0]["c"]
        self["t"] = "RawInline"
        self["c"] =
          ["html", %Q|<span class="tcy">#{val}</span>|]
      else
        self.each_value(&:filter_tcy)
      end
    else
      # ignore
    end
    self
  end
end

print JSON.parse(STDIN.read).filter_tcy.to_json

